<!DOCTYPE html>
<html lang="de" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>ShipDetails</title>
</head>
<body>
<h1>Schiff <span th:text="${ship.name}"></span></h1>

<h2>Baujahr: <span th:text="${ship.yearBuild}"></span></h2>
 <h2>Crew-Mitglieder</h2>
    <div th:if="${ship.getCrewMembers().size > 0}">
        <p style="font-weight: bolder">Crew-Mitglieder</p>
        <div th:each="crewMember : ${ship.getCrewMembers()}">
            <div style="margin-bottom: 10px">
                <span th:text="${crewMember.getPrename()}"></span>,
                hat das geheime Talent <span th:text="${crewMember.getSecretGift()}"></span>
            </div>

            <div>
                <form th:action="@{/deleteCrewMember(memberId=${crewMember.id})}" method="POST">
                    <input type="submit" value="löschen">
                </form>
            </div>
        </div>

    </div>

<a th:href="@{/createCrewMember(shipId=${ship.getId()})}">Mitglied hinzufügen</a> <br><br>
<a href="/">Startseite</a>
</body>
</html>